Package org.eigenbase.resgen

# Class JavaBaseGenerator.ExceptionDescription

java.lang.Object
org.eigenbase.resgen.JavaBaseGenerator.ExceptionDescription

Enclosing class:
  `JavaBaseGenerator`

class JavaBaseGenerator.ExceptionDescription extends Object
Description of the constructs that an exception class has.

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) boolean`
`hasInstCon`
`(package private) boolean`
`hasInstThrowCon`
`(package private) boolean`
`hasStringCon`
`(package private) boolean`
`hasStringThrowCon`

## Constructor Summary

Constructors
Constructor
Description
`ExceptionDescription(String errorClassName)`
Figures out what constructors the exception class has.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hasInstCon

boolean hasInstCon

### hasInstThrowCon

boolean hasInstThrowCon

### hasStringCon

boolean hasStringCon

### hasStringThrowCon

boolean hasStringThrowCon

## Constructor Details

### ExceptionDescription

ExceptionDescription(String errorClassName)
Figures out what constructors the exception class has. We'd prefer to use `init(ResourceDefinition rd)` or `init(ResourceDefinition rd, Throwable e)` if it has them, but we can use `init(String s)` and `init(String s, Throwable e)` as a fall-back. Prints a warming message if the class cannot be loaded.

Parameters:
  `errorClassName` - Name of exception class